Pular para o conteúdo principal
PUT
/
api
/
v1
/
calendars
/
{calendar_id}
/
members
/
{member_id}
curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members/member-uuid-2" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "role": "viewer" }'
{
  "success": true,
  "data": {
    "id": "member-uuid-2",
    "role": "viewer"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Atualizar Membro do Calendário

Alterar a função de um membro do calendário.

Endpoint

PUT /api/v1/calendars/{calendar_id}/members/{member_id}

Parâmetros de Caminho

calendar_id
string
obrigatório
UUID do calendário.
member_id
string
obrigatório
UUID do membro.

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here
Content-Type
string
obrigatório
Deve ser application/json.

Corpo da Requisição

role
string
obrigatório
Nova função. Opções: owner, editor, viewer.

Exemplos

curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members/member-uuid-2" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{ "role": "viewer" }'

Resposta

{
  "success": true,
  "data": {
    "id": "member-uuid-2",
    "role": "viewer"
  }
}